#[derive(Debug)]
pub struct NodeKindStore {
    pub kinds: Vec<NodeKind>,
}

impl NodeKindStore {
    pub fn push(&mut self, kind: NodeKind) -> usize {
        let idx = self.kinds.len();
        self.kinds.push(kind);
        idx
    }
}

#[derive(Debug)]
pub struct NodeKind {
    pub title: String,
    pub inputs: Vec<NodeKindInput>,
    pub outputs: Vec<NodeKindOutput>,
}

#[derive(Debug)]
pub struct NodeKindInput {
    pub label: String,
}

#[derive(Debug)]
pub struct NodeKindOutput {
    pub label: String,
}
